
%define plugin	freecell
%define name	vdr-plugin-%plugin
%define version	0.0.2
%define rel	24

Summary:	VDR plugin: The well-known card game
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPL+
URL:		http://linux.kompiliert.net/index.php?view=freecell
Source:		http://www.magoa.net/linux/files/vdr-%plugin-%version.tar.bz2
Patch0:		vdr-cardgames-0.0.2-to-gcc3.4.diff
Patch1:		vdr-freecell-0.0.2-time.patch
Patch2:		93_freecell-0.0.2-1.5.4.dpatch
Patch3:		freecell-0.0.2-i18n-1.6.patch
BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
This Freecell plugin is an implementation of the (well-known) card game
"Freecell" played on the On Screen Display of your Video Disk Recorder.

%prep
%setup -q -n %plugin-%version
%patch0 -p1 -b .gcc34
%patch1 -p1 -b .time
%patch2 -p1
%patch3 -p1
%vdr_plugin_prep

%build
%vdr_plugin_build

%install

%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_datadir}/%{plugin}
install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}
install -m644 freecell/* %{buildroot}%{_vdr_plugin_datadir}/%{plugin}
ln -s %{_vdr_plugin_datadir}/%{plugin} 	%{buildroot}%{_vdr_plugin_cfgdir}/freecell

%files -f %plugin.vdr
%doc README COPYING HISTORY CONTRIBUTORS
%{_vdr_plugin_cfgdir}/freecell
%{_vdr_plugin_datadir}/%{plugin}


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.0.2-24.mga3
+ Revision: 385266
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.0.2-23.mga3
+ Revision: 325504
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.0.2-22.mga2
+ Revision: 221043
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.0.2-21.mga2
+ Revision: 214791
- rebuild for VDR 1.7.23
- update URL

* Sat May 14 2011 anssi <anssi> 0.0.2-20.mga1
+ Revision: 98384
- remove old scriplets
- imported package vdr-plugin-freecell

